#
# spec file for package
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-hntool
Version:        0.1
Release:        1.2
License:        GPL v2
Summary:        HnTool is an open source (GPLv2) hardening tool for Unix
Url:            http://code.google.com/p/hntool
Group:          Development/Libraries/Python
Source:         hntool-%{version}.tar.gz
BuildRequires:  python-devel,
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
%if %{?suse_version: %{suse_version} > 1110} %{!?suse_version:1}
BuildArch:      noarch
%endif

%description
HnTool is an open source (GPLv2) hardening tool for Unix. It scans your system for
vulnerabilities or problems in configuration files allowing you to get a quick
overview of the security status of your system.

Author:
--------
    Hugo Doria <hugodoria@gmail.com>

%prep
%setup -q -n hntool-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot} --record-rpm=INSTALLED_FILES
%{__sed} -i 's|%{_mandir}/man1/hntool.1$|%{_mandir}/man1/hntool.1.gz|' INSTALLED_FILES


%files -f INSTALLED_FILES
%defattr(-,root,root)
%changelog
* Tue Apr 13 2010 alexandre@exatati.com.br
- Initial package (0.1) for openSUSE.
